import request from '@/scripts/httpRequest'
import qs from 'qs'

// 登录
export const tologin = (query: any) => {
  // let query = 'username=' + user.loginName + '&password=' + user.password
  return request({
    url: '/data/api-u/sys/login',
    method: 'post',
    data: qs.stringify(query)
  })
}

// 退出
export const logout = () => {
  return request({
    url: '/data/api-u/sys/logout',
    method: 'get'
  })
}

// 获取用户信息
// export const getLoginUserData = () => {
//   let token =
//     sessionStorage.getItem('loginedInfo') &&
//     JSON.parse(sessionStorage.getItem('loginedInfo')).access_token
//   return request({
//     url: '/data/api-u/users/current',
//     method: 'get',
//     headers: {
//       'Content-Type': 'application/x-www-form-urlencoded',
//       Authorization: token || ''
//     }
//   })
// }

export const getLoginUserData = () => {
    let token =
      sessionStorage.getItem('loginedInfo') &&
      JSON.parse(sessionStorage.getItem('loginedInfo')).access_token
    return request({
      url: '/data/api-u/users/profile',
      method: 'get',
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        Authorization: token || ''
      }
    })
  }

//修改密码
export const updatePwd = (query: any) => {
  return request({
    url: '/data/api-u/users/updatePwd',
    method: 'post',
    data: qs.stringify(query)
  })
}

//获取项目名称
export const getServerName = (query: any) => {
  return request({
    url: '/data/api-v/info/getServerName',
    method: 'get'
  })
}
